Skip to navigation

Load documents

View as Markdown

Load documents

Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.

Authentication

AuthorizationBearer

Docusign OAuth 2.0 access token, sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequiredformat: "uuid"
The ID of the Docusign account.

Query parameters

pageSortParams.offsetintegerOptional
The number of objects at the beginning of the collection to skip
pageSortParams.limitintegerOptional
The number of objects per page
pageSortParams.sortPropertystringOptional
The property of the collection object on which to sort
pageSortParams.sortDirectionenumOptional
ASC for ascending. DESC for descending
Allowed values:
pageSortParams.filterstringOptional
The property of the collection object on which to filter
pageSortParams.filterExactbooleanOptional
If true, filtering will perform an exact match instead of the default contains match
pageSortParams.caseInsensitivebooleanOptional
If FilterExact is true and this is true, filtering will perform an exact match but will ignore case

Request

DocumentLoadTask object representing a document load query.
Documentslist of objectsOptional
The collection of Documents with Href populated as a part of the request body
StatusstringOptional
The progress of the task
HrefstringOptional
Uri where the object can be retrieved.
ResultobjectOptional
The resulting collection of objects which match the Document Uids in the request

Response

OK
Documentslist of objectsOptional
The collection of Documents with Href populated as a part of the request body
StatusstringOptional
The progress of the task
HrefstringOptional
Uri where the object can be retrieved.
ResultobjectOptional
The resulting collection of objects which match the Document Uids in the request